Update the Cashback Consumer status
Sets the “Consumer Reward status” of an existing Reward.
POST
/
connectors
/
m2m
/
rewards
/
{reward_id}
/
{target_consumer_status}
Update the Cashback Consumer status
curl --request POST \
--url https://api.sandbox.paylead.tech/connectors/m2m/rewards/{reward_id}/{target_consumer_status} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"comment": "<string>"
}
'import requests
url = "https://api.sandbox.paylead.tech/connectors/m2m/rewards/{reward_id}/{target_consumer_status}"
payload = { "comment": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({comment: '<string>'})
};
fetch('https://api.sandbox.paylead.tech/connectors/m2m/rewards/{reward_id}/{target_consumer_status}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"comment": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique ID of the reward.
Target consumer status to give to the target reward
Available options:
validation, pooled, paid, cancelled Body
application/json
Response
Created
Was this page helpful?
Previous
Update the Consumer status of several CashbacksSets the "Consumer Reward status" of one or many existing Rewards
Next
⌘I
Update the Cashback Consumer status
